# $Revision: 1.34 $, $Date: 2007-02-13 07:47:14 $
%include	/usr/lib/rpm/macros.perl
Summary:	PostScript perl module
Summary(pl.UTF-8):	Moduł perla PostScript
Name:		perl-PostScript
Version:	0.06
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/PostScript/PostScript-%{version}.tar.gz
# Source0-md5:	2a91cc23f2d8958e063f7ff09163faa0
Patch0:		%{name}-paths.patch
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PostScript - module for generating PostScript documents.

%description -l pl.UTF-8
PostScript - moduł do tworzenia dokumentów w formacie PostScript.

%prep
%setup -q -n PostScript-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install example.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README *txt
%{perl_vendorlib}/PostScript/*.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PostScript.spec,v $
Revision 1.34  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.33  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.32  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.31  2004/05/07 01:24:28  ankry
- rel. 7

Revision 1.30  2004/05/06 18:20:56  ankry
- fixed perl-devel BR

Revision 1.29  2004/05/06 05:46:53  ankry
- license fix, cosmetics

Revision 1.28  2004/05/05 13:54:05  ankry
- cosmetics

Revision 1.27  2003/09/09 10:24:46  ankry
- spaces -> tab

Revision 1.26  2003/08/18 08:09:09  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.25  2003/05/28 13:00:58  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:24:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.22  2003/03/01 20:22:32  radek
- should be ready for perl-5.8.0; release++

Revision 1.21  2003/02/25 00:41:04  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:37:47  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/11/26 00:14:48  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.18  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/03/03 20:34:38  marcus
- rel.5

Revision 1.16  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/10 15:32:57  depesz
adapterized

Revision 1.14  2002/01/18 02:14:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:21  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:14:32  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/23 15:29:03  kloczek
- spec adapterized,
- do not include .packlist in %files.

Revision 1.9  2001/01/13 01:54:45  dobrek
-Req:perl>=5.6 ;Realase=2;New rpm automat

Revision 1.8  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:35:03  pius
- updated to 0.06

Revision 1.2  1999/11/07 09:18:45  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
